//
//  Home_HeadBannerView.swift
//  MusicPlayer
//
//  Created by Mr.Zhou on 2024/3/27.
//

import UIKit
///首页顶部标题View
class MPSideA_Home_HeadBannerView: UIView {
    //banner
    private lazy var bannerImageView:UIImageView = {
        let imageView:UIImageView = .init(image: .init(named: "Home'banner"))
        imageView.contentMode = .scaleAspectFill
        return imageView
    }()
    override init(frame: CGRect) {
        super.init(frame: frame)
        setUpLayout()
    }
    
    required init?(coder: NSCoder) {
        super.init(coder: coder)
        setUpLayout()
    }
    //约束加载
    private func setUpLayout() {
        addSubview(bannerImageView)
        bannerImageView.snp.makeConstraints { make in
            make.left.equalToSuperview().offset(16*width)
            make.height.equalTo(78*width)
            make.width.equalTo(324*width)
            make.top.equalToSuperview().offset(20*width)
        }
    }
}
